---
title: 3DS execution enrollment
slug: reference/3ds-execution-enrollment
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "RgpUjUm82IychQvlR7Zlq",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.forter-secure.com/merchants/{id}/3ds-execution",
    "servers": [
      {
        "url": "https://api.forter-secure.com/merchants/{id}/3ds-execution"
      }
    ],
    "name": "3DS execution enrollment",
    "description": "Enroll a merchant in Forter's 3DS execution services on their future orders. \nThe response will include a request ID that can be used to check on the status.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "description": ""
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.3",
          "description": "Specify the version of the API to target."
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Enroll a merchant in Forter's 3DS execution services on their future orders. \nThe response will include a request ID that can be used to check on the status.",
          "customType": "threeDsExecutionOnboardingRequest",
          "schema": [
            {
              "name": "offerings",
              "kind": "required",
              "type": "object",
              "description": "Selection of offerings the merchant signed up for",
              "modelRef": "#/components/schemas/ThreeDsOfferings",
              "customType": "ThreeDsOfferings",
              "schema": [
                {
                  "name": "jp_regulation",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "complexType": "allOf",
                  "complexItems": [
                    {
                      "name": "JpRegulationOffering",
                      "description": "",
                      "modelRef": "#/components/schemas/JpRegulationOffering",
                      "schema": [
                        {
                          "name": "acquirer_settings",
                          "kind": "optional",
                          "type": "array",
                          "nullable": true,
                          "description": "<p>Acquirer-specific settings for JP regulation.\nIf not provided, the setting will be inherited from the parent site.</p>",
                          "modelRef": "#/components/schemas/JpAcquireSetting",
                          "customType": "JpAcquireSetting[]",
                          "schema": [
                            {
                              "name": "acquirer",
                              "kind": "required",
                              "type": "string",
                              "description": "The name of the acquirer.",
                              "example": "Acquirer Name",
                              "minLength": 1,
                              "maxLength": 50
                            },
                            {
                              "name": "force_3ds_on_guest_checkout",
                              "kind": "optional",
                              "type": "boolean",
                              "nullable": true,
                              "description": "<p>If true, forces 3DS on guest checkout flows.\nThis will take effect only for scenario '3DS_NEW_CARD_S2'</p>",
                              "example": false
                            },
                            {
                              "name": "scenario",
                              "kind": "required",
                              "type": "string<3DS_HIGH_RISK_S1 | 3DS_NEW_CARD_S2 | 3DS_MANDATORY_S3>",
                              "description": "The scenario for the JP regulation offering",
                              "example": "3DS_HIGH_RISK_S1",
                              "enum": [
                                "3DS_HIGH_RISK_S1",
                                "3DS_NEW_CARD_S2",
                                "3DS_MANDATORY_S3"
                              ]
                            }
                          ]
                        },
                        {
                          "name": "enabled",
                          "kind": "required",
                          "type": "boolean",
                          "description": "Register for JP regulation.",
                          "example": true
                        }
                      ]
                    }
                  ],
                  "schema": []
                },
                {
                  "name": "policy_3ds",
                  "kind": "required",
                  "type": "boolean",
                  "description": "Register 3DS for policy",
                  "example": true
                },
                {
                  "name": "psd2",
                  "kind": "required",
                  "type": "boolean",
                  "description": "Register 3DS for PSD2 regulation",
                  "example": true
                },
                {
                  "name": "risk_3ds",
                  "kind": "required",
                  "type": "boolean",
                  "description": "Register 3DS for risk",
                  "example": true
                }
              ]
            },
            {
              "name": "threeDsConfiguration",
              "kind": "required",
              "type": "object",
              "description": "The 3DS configuration",
              "modelRef": "#/components/schemas/ThreeDsConfiguration",
              "customType": "ThreeDsConfiguration",
              "schema": [
                {
                  "name": "processors",
                  "kind": "required",
                  "type": "array",
                  "description": "",
                  "modelRef": "#/components/schemas/Processor",
                  "customType": "Processor[]",
                  "schema": [
                    {
                      "name": "id",
                      "kind": "required",
                      "type": "string",
                      "description": "Internal Forter ID for your Processor. Ask it from your Implementation Manager."
                    },
                    {
                      "name": "mids",
                      "kind": "required",
                      "type": "array",
                      "description": "<p>Mids - merchant identifiers for 3DS</p>",
                      "modelRef": "#/components/schemas/MerchantIdentifierFor3ds",
                      "customType": "MerchantIdentifierFor3ds[]",
                      "schema": [
                        {
                          "name": "acquirerId",
                          "kind": "required",
                          "type": "string",
                          "description": "Internal Forter ID for your Acquirer. Ask it from your Implementation Manager."
                        },
                        {
                          "name": "acquirerMerchantName",
                          "kind": "required",
                          "type": "array",
                          "description": "Acquirer's merchant name for each card scheme",
                          "modelRef": "#/components/schemas/CardParameter",
                          "customType": "CardParameter[]",
                          "schema": [
                            {
                              "name": "cardScheme",
                              "kind": "required",
                              "type": "string<MASTERCARD | VISA | AMEX | MAESTRO | DINERS | DISCOVER | JCB>",
                              "description": "",
                              "example": "VISA",
                              "default": "VISA",
                              "enum": [
                                "MASTERCARD",
                                "VISA",
                                "AMEX",
                                "MAESTRO",
                                "DINERS",
                                "DISCOVER",
                                "JCB"
                              ]
                            },
                            {
                              "name": "value",
                              "kind": "required",
                              "type": "string",
                              "description": "",
                              "example": "string"
                            }
                          ]
                        },
                        {
                          "name": "acquirerMid",
                          "kind": "required",
                          "type": "string",
                          "description": "<p>Acquirer Merchant Identifier (MID)</p>",
                          "example": "123456789"
                        },
                        {
                          "name": "merchantCategoryCode",
                          "kind": "required",
                          "type": "string",
                          "description": "<p>The merchants category code (MCC)</p>",
                          "example": "5661",
                          "minLength": 4,
                          "maxLength": 4
                        },
                        {
                          "name": "merchantEntityCountryNumericCode",
                          "kind": "required",
                          "type": "string",
                          "description": "Merchant entity country code",
                          "example": "840",
                          "minLength": 3,
                          "maxLength": 3
                        },
                        {
                          "name": "requestorId",
                          "kind": "required",
                          "type": "array",
                          "description": "Requestor ids by card schema",
                          "modelRef": "#/components/schemas/CardParameter",
                          "customType": "CardParameter[]",
                          "schema": [
                            {
                              "name": "cardScheme",
                              "kind": "required",
                              "type": "string<MASTERCARD | VISA | AMEX | MAESTRO | DINERS | DISCOVER | JCB>",
                              "description": "",
                              "example": "VISA",
                              "default": "VISA",
                              "enum": [
                                "MASTERCARD",
                                "VISA",
                                "AMEX",
                                "MAESTRO",
                                "DINERS",
                                "DISCOVER",
                                "JCB"
                              ]
                            },
                            {
                              "name": "value",
                              "kind": "required",
                              "type": "string",
                              "description": "",
                              "example": "string"
                            }
                          ]
                        },
                        {
                          "name": "requestorName",
                          "kind": "required",
                          "type": "array",
                          "description": "Requestor ids by card schema",
                          "modelRef": "#/components/schemas/CardParameter",
                          "customType": "CardParameter[]",
                          "schema": [
                            {
                              "name": "cardScheme",
                              "kind": "required",
                              "type": "string<MASTERCARD | VISA | AMEX | MAESTRO | DINERS | DISCOVER | JCB>",
                              "description": "",
                              "example": "VISA",
                              "default": "VISA",
                              "enum": [
                                "MASTERCARD",
                                "VISA",
                                "AMEX",
                                "MAESTRO",
                                "DINERS",
                                "DISCOVER",
                                "JCB"
                              ]
                            },
                            {
                              "name": "value",
                              "kind": "required",
                              "type": "string",
                              "description": "",
                              "example": "string"
                            }
                          ]
                        },
                        {
                          "name": "requestorUrl",
                          "kind": "required",
                          "type": "array",
                          "description": "Requestor urls per card scheme",
                          "modelRef": "#/components/schemas/CardParameter",
                          "customType": "CardParameter[]",
                          "schema": [
                            {
                              "name": "cardScheme",
                              "kind": "required",
                              "type": "string<MASTERCARD | VISA | AMEX | MAESTRO | DINERS | DISCOVER | JCB>",
                              "description": "",
                              "example": "VISA",
                              "default": "VISA",
                              "enum": [
                                "MASTERCARD",
                                "VISA",
                                "AMEX",
                                "MAESTRO",
                                "DINERS",
                                "DISCOVER",
                                "JCB"
                              ]
                            },
                            {
                              "name": "value",
                              "kind": "required",
                              "type": "string",
                              "description": "",
                              "example": "string"
                            }
                          ]
                        },
                        {
                          "name": "supportedCurrencies",
                          "kind": "optional",
                          "type": "array",
                          "nullable": true,
                          "description": "Supported currency codes",
                          "example": "[\"USD\"]",
                          "itemType": "string",
                          "customType": "string[]",
                          "itemExample": "",
                          "itemDefault": ""
                        },
                        {
                          "name": "supportedSchemes",
                          "kind": "optional",
                          "type": "array",
                          "nullable": true,
                          "description": "Supported card schemes",
                          "example": "[\"VISA\"]",
                          "itemType": "string",
                          "customType": "string[]",
                          "itemExample": "",
                          "itemDefault": ""
                        },
                        {
                          "name": "supportedStates",
                          "kind": "optional",
                          "type": "array",
                          "nullable": true,
                          "description": "Supported states",
                          "example": "",
                          "itemType": "string",
                          "customType": "string[]",
                          "itemExample": "",
                          "itemDefault": ""
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/threeDsExecutionOnboardingRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example threeDsExecutionOnboardingRequestAccepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response structure for merchant onboarding requests",
            "customType": "threeDsExecutionOnboardingRequestAccepted",
            "schema": [
              {
                "name": "requestId",
                "kind": "required",
                "type": "string",
                "description": "",
                "example": "my-request-id-1234"
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string",
                "description": "",
                "example": "success"
              }
            ],
            "modelRef": "#/components/schemas/threeDsExecutionOnboardingRequestAccepted",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request (Often missing a required parameter)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized (No valid API key provided)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found (The requested item doesn't exist)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "<p>Server Error (Something went wrong on Forter's end)</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "rIJdIF9LjWF6_HOq4377F",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.forter-secure.com/merchants/{id}/3ds-execution \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'api-version: 10.3' \\\n     --header 'x-forter-siteid: a1b2c3d4e5f6' \\\n     --data '{\n     \"offerings\": {\n     \"jp_regulation\": {\n     \"acquirer_settings\": [\n     {\n     \"acquirer\": \"Acquirer Name\",\n     \"scenario\": \"3DS_HIGH_RISK_S1\"\n     }\n     ],\n     \"enabled\": true\n     },\n     \"policy_3ds\": true,\n     \"psd2\": true,\n     \"risk_3ds\": true\n     },\n     \"threeDsConfiguration\": {\n     \"processors\": [\n     {\n     \"id\": \"\",\n     \"mids\": [\n     {\n     \"acquirerId\": \"\",\n     \"acquirerMerchantName\": [\n     {\n     \"cardScheme\": \"VISA\",\n     \"value\": \"string\"\n     }\n     ],\n     \"acquirerMid\": \"123456789\",\n     \"merchantCategoryCode\": \"5661\",\n     \"merchantEntityCountryNumericCode\": \"840\",\n     \"requestorId\": [\n     {\n     \"cardScheme\": \"VISA\",\n     \"value\": \"string\"\n     }\n     ],\n     \"requestorName\": [\n     {\n     \"cardScheme\": \"VISA\",\n     \"value\": \"string\"\n     }\n     ],\n     \"requestorUrl\": [\n     {\n     \"cardScheme\": \"VISA\",\n     \"value\": \"string\"\n     }\n     ]\n     }\n     ]\n     }\n     ]\n     }\n     }'"
        },
        {
          "id": "dyTwdoV6PlfayTudufQ3j",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.3\");\nmyHeaders.append(\"x-forter-siteid\", \"a1b2c3d4e5f6\");\n\nvar raw = JSON.stringify({\n   \"offerings\": {\n      \"jp_regulation\": {\n         \"acquirer_settings\": [\n            {\n               \"acquirer\": \"Acquirer Name\",\n               \"scenario\": \"3DS_HIGH_RISK_S1\"\n            }\n         ],\n         \"enabled\": true\n      },\n      \"policy_3ds\": true,\n      \"psd2\": true,\n      \"risk_3ds\": true\n   },\n   \"threeDsConfiguration\": {\n      \"processors\": [\n         {\n            \"id\": \"\",\n            \"mids\": [\n               {\n                  \"acquirerId\": \"\",\n                  \"acquirerMerchantName\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"acquirerMid\": \"123456789\",\n                  \"merchantCategoryCode\": \"5661\",\n                  \"merchantEntityCountryNumericCode\": \"840\",\n                  \"requestorId\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"requestorName\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"requestorUrl\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ]\n               }\n            ]\n         }\n      ]\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/merchants/{id}/3ds-execution\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "-Qul_OELf7Zdhyrg4Q3Wy",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/merchants/{id}/3ds-execution\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.3\"\nrequest[\"x-forter-siteid\"] = \"a1b2c3d4e5f6\"\nrequest.body = JSON.dump({\n   \"offerings\": {\n      \"jp_regulation\": {\n         \"acquirer_settings\": [\n            {\n               \"acquirer\": \"Acquirer Name\",\n               \"scenario\": \"3DS_HIGH_RISK_S1\"\n            }\n         ],\n         \"enabled\": true\n      },\n      \"policy_3ds\": true,\n      \"psd2\": true,\n      \"risk_3ds\": true\n   },\n   \"threeDsConfiguration\": {\n      \"processors\": [\n         {\n            \"id\": \"\",\n            \"mids\": [\n               {\n                  \"acquirerId\": \"\",\n                  \"acquirerMerchantName\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"acquirerMid\": \"123456789\",\n                  \"merchantCategoryCode\": \"5661\",\n                  \"merchantEntityCountryNumericCode\": \"840\",\n                  \"requestorId\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"requestorName\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"requestorUrl\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ]\n               }\n            ]\n         }\n      ]\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "jy2VftuPGvc72ZA9RBPG9",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/merchants/{id}/3ds-execution\"\n\npayload = json.dumps({\n   \"offerings\": {\n      \"jp_regulation\": {\n         \"acquirer_settings\": [\n            {\n               \"acquirer\": \"Acquirer Name\",\n               \"scenario\": \"3DS_HIGH_RISK_S1\"\n            }\n         ],\n         \"enabled\": True\n      },\n      \"policy_3ds\": True,\n      \"psd2\": True,\n      \"risk_3ds\": True\n   },\n   \"threeDsConfiguration\": {\n      \"processors\": [\n         {\n            \"id\": \"\",\n            \"mids\": [\n               {\n                  \"acquirerId\": \"\",\n                  \"acquirerMerchantName\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"acquirerMid\": \"123456789\",\n                  \"merchantCategoryCode\": \"5661\",\n                  \"merchantEntityCountryNumericCode\": \"840\",\n                  \"requestorId\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"requestorName\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ],\n                  \"requestorUrl\": [\n                     {\n                        \"cardScheme\": \"VISA\",\n                        \"value\": \"string\"\n                     }\n                  ]\n               }\n            ]\n         }\n      ]\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.3',\n   'x-forter-siteid': 'a1b2c3d4e5f6'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "rIJdIF9LjWF6_HOq4377F"
    },
    "results": {
      "languages": [
        {
          "id": "kKVi2tKXh_6hmLxFyYNIw",
          "language": "200",
          "code": "// Example threeDsExecutionOnboardingRequestAccepted\n{\n  \"requestId\": \"my-request-id-1234\",\n  \"status\": \"success\"\n}"
        },
        {
          "id": "twuFTAKKPoou6JLC8veXZ",
          "language": "400",
          "code": "// Bad Request (Often missing a required parameter)\n"
        },
        {
          "id": "Gsqki3c-CzQF_FQlLayJJ",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "qL8hobG58-Pe29usMcDbm",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "a2oZqc2e1hsv1EwAK9dgw",
          "language": "500",
          "code": "// Server Error (Something went wrong on Forter's end)\n"
        }
      ],
      "selectedLanguageId": "kKVi2tKXh_6hmLxFyYNIw"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}